Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84446 - SRPMS: build_script.sh/call_configure violates LD_LIBRARY_PATH
Summary: SRPMS: build_script.sh/call_configure violates LD_LIBRARY_PATH
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: qt
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-17 13:09 UTC by Sysoltsev Slawa
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-18 09:39:22 UTC


Attachments (Terms of Use)
Patch which changes build_script.sh not to violate LD_LIBRARY_PATH but add to it (deleted)
2003-02-17 13:15 UTC, Sysoltsev Slawa
no flags Details | Diff

Description Sysoltsev Slawa 2003-02-17 13:09:42 UTC
Description of problem:
I trie to build qt from sources
Used call_configure function from build_script.sh resets LD_LIBRARY_PATH with 
own value. But this can hurt non-standart system functioning that uses 
LD_LIBRARY_PATH to point for some needed libraries (for example custom 
compiler, or some checkers, wrappers, etc). With voilating LD_LIBRARY_PATH 
system might stop functioning properly and build of qt shall fail. So got I. I use 
LD_LIBRARY_PATH for pointing on compiler libraries therefore with resetting 
LD_LIBRARY_PATH by call_configure my compiler stops working. Please change 
build_script.sh not to overwrite LD_LIBRARY_PATH but add to it, that would only 
increase Red Hat Linux portability.
I'll attach the patch which does this change.

Version-Release number of selected component (if applicable):


How reproducible:
always on LD_LIBRARY_PATH dependent system

Steps to Reproduce:
1. I am unsure you will get that error, but you may try to build qt by custom C/C++ 
compiler, for example by elder version of gcc, installing it to local directory with 
using LD_LIBRARY_PATH for pointing the path where its libraries lies. Or you 
may use Intel C/C++ compile for that, as I know it uses LD_LIBRARY_PATH.
    
Actual results:
Configuration error as compiler cannot work in changed environment

Expected results:
Succesfully built qt.

Additional info:

Comment 1 Sysoltsev Slawa 2003-02-17 13:15:48 UTC
Created attachment 90125 [details]
Patch which changes build_script.sh not to violate LD_LIBRARY_PATH but add to it

Comment 2 Ngo Than 2003-02-18 09:39:22 UTC
the qt-3.1.1-7 should has this fix. Thanks 


Note You need to log in before you can comment on or make changes to this bug.